Open CASCADE Technology: BRepTools_Substitution Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepTools_Substitution Class Reference

A tool to substitute subshapes by other shapes. More...

`#include <BRepTools_Substitution.hxx>`

## Public Member Functions
| BRepTools_Substitution ()
void | Clear ()
| Reset all the fields. More...
void | Substitute (const TopoDS_Shape &OldShape, const TopTools_ListOfShape &NewShapes)
| <Oldshape> will be replaced by <NewShapes>. More...
void | Build (const TopoDS_Shape &S)
| Build NewShape from <S> if its subshapes has modified. More...
Standard_Boolean | IsCopied (const TopoDS_Shape &S) const
| Returns True if <S> has been replaced . More...
const TopTools_ListOfShape & | Copy (const TopoDS_Shape &S) const
| Returns the set of shapes substitued to <S> . More...

## Detailed Description

A tool to substitute subshapes by other shapes.

The user use the method Substitute to define the modifications. A set of shapes is designated to replace a initial shape.

The method Build reconstructs a new Shape with the modifications.The Shape and the new shape are registered.

## Constructor & Destructor Documentation

BRepTools_Substitution::BRepTools_Substitution | ( |  | ) |

## Member Function Documentation

void BRepTools_Substitution::Build | ( | const TopoDS_Shape & | S | ) |

Build NewShape from <S> if its subshapes has modified.

The methods <IsCopied> and <Copy> allows you to keep the resul of <Build>

void BRepTools_Substitution::Clear | ( |  | ) |

Reset all the fields.

const TopTools_ListOfShape& BRepTools_Substitution::Copy | ( | const TopoDS_Shape & | S | ) | const

Returns the set of shapes substitued to <S> .

Standard_Boolean BRepTools_Substitution::IsCopied | ( | const TopoDS_Shape & | S | ) | const

Returns True if <S> has been replaced .

void BRepTools_Substitution::Substitute | ( | const TopoDS_Shape & | OldShape,
|  | const TopTools_ListOfShape & | NewShapes
| ) |  |

<Oldshape> will be replaced by <NewShapes>.

<NewShapes> can be empty , in this case <OldShape> will disparate from its ancestors.

if an item of <NewShapes> is oriented FORWARD. it will be oriented as <OldShape> in its ancestors. else it will be reversed.

The documentation for this class was generated from the following file:

- BRepTools_Substitution.hxx